#!/bin/sh

# a bunch of one-line programs i want in my dmenu (and sometimes elsewhere)
# these have use outside the terminal and thus are generated here
# - because why make fifty files when i can make one file that does that for me?

source ./cdecho.sh

mkdir -p $HOME/bin/oneliners || exit
cde $HOME/bin/oneliners

SHABANG="#!/bin/sh\n"

# music stuff
printf "selection=\"\$(find /mnt/audio -type d -mindepth 2 2>/dev/null | sort | dmenu -l 50)\"\n[ \$selection = \$(printf \"\\n\") ] 2>/dev/null || audacious \"\$selection\"\n" >play_album
printf "selection=\"\$(find /mnt/audio -type f | sort | dmenu -l 50)\"\n[ \$selection = \$(printf \"\\n\") ] 2>/dev/null || audacious \"\$selection\"\n" >play_song

# private bookmarks
printf $SHABANG"firefox file://"$HOME"/bookmarks.html\n" >bmarks

# deemix
printf $SHABANG"python $HOME/src/deemix-pyweb/deemix-pyweb.py\n" >deemix

# firefox (launches firefox-developer-edition)
printf $SHABANG"firefox-developer-edition \"\$@\"\n" >firefox

# settings for specific monitors
printf $SHABANG"xrandr --output HDMI-1 --auto --mode 720x480 --right-of LVDS-1\n" >1702
printf $SHABANG"xrandr --output VGA-1 --auto --right-of LVDS-1\n" >mv720

# more monitor settings
printf $SHABANG"xrandr --output HDMI-1 --off\n" >hdmioff
printf $SHABANG"xrandr --output VGA-1 --off\n" >vgaoff

# youtube-dl stuff
printf $SHABANG"youtube-dl --add-metadata -i -o \"$HOME/%%(upload_date)s %%(title)s.%%(ext)s\" \"\$@\"\n" >youtube-dlo
printf $SHABANG"youtube-dlo -f \"bestvideo[vcodec=vp9]+bestaudio[acodec=opus]\" \"\$@\"\n" >youtube-dlp
printf $SHABANG"youtube-dlp -f \$(youtube-dl -F \$1 | 9 tail +4 | dmenu -p \"Choose a format.\" -l 20 | asplit - SP 0) \"\$@\"\n" >youtube-dl-interactive
printf $SHABANG"youtube-dl-interactive \"\$@\" -o - | mpv -\n" >youtube-dl-mpv

ls && [ $(printf "Yes.\nNo." | dmenu -p "Any risky files?") = "No." ] && printf "Making executable.\n" && chmod +x *
